Subject: Re: bug#30890: Hash mismatch for /gnu/store/bvbs19jg8497ca73i82xmrjspd83lvs2-usb.ids

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 21 Mar 2018 17:08:44 +0100

I couldn't resist, of course.

On 2018-03-21 16:46, Tobias Geerinckx-Rice wrote:
> I've not actually been following this thread so I don't know what that
> means, but it looks like simply using the CVS revision as the SVN one
> might not work.

The attached patch solves this by simply updating usb.ids to the latest 
revision.

I'm building it on the slowest laptop I could find.

Kind regards,

T G-R

Sent from a Web browser. Excuse or enjoy my brevity.

From 0d73f1481bf732147af7751a6ae58114bd3876db Mon Sep 17 00:00:00 2001
From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 21 Mar 2018 16:59:31 +0100
Subject: [PATCH 1/2] gnu: libosinfo: Update usb.ids.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

This follows up commit 0def9120882f90372fd6bb2e80e8330d67745610, which
tried to use the CVS ID as the SVN revision, which unfortunately doesn't
work.

* gnu/packages/virtualization.scm (libosinfo)[native-inputs]: Update
revision and hash for ‘usb.ids’.
---
 gnu/packages/virtualization.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/virtualization.scm b/gnu/packages/virtualization.scm
index 37bf09f23..de01e0163 100644
--- a/gnu/packages/virtualization.scm
+++ b/gnu/packages/virtualization.scm
@@ -281,11 +281,11 @@ server and embedded PowerPC, and S390 guests.")
        ("usb.ids"
         ,(origin
            (method url-fetch)
-           (uri "https://svn.code.sf.net/p/linux-usb/repo/trunk/htdocs/usb.ids?r=1551")
+           (uri "https://svn.code.sf.net/p/linux-usb/repo/trunk/htdocs/usb.ids?r=2681")
            (file-name "usb.ids")
            (sha256
             (base32
-             "17rg5i0wbyk289gr8v4kgvnc9q5bidz7ldcvv9x58l083wn16hq3"))))))
+             "1m6yhvz5k8aqzxgk7xj3jkk8frl1hbv0h3vgj4wbnvnx79qnvz3r"))))))
     (home-page "https://libosinfo.org/")
     (synopsis "Operating system information database")
     (description "libosinfo is a GObject based library API for managing
-- 
2.15.1